%define upstream_name    XML-XPath
%define upstream_version 1.48

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    XML::XPath - a set of modules for parsing and evaluating XPath statements
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/XML-XPath
Source0:    https://cpan.metacpan.org/authors/id/M/MS/MSERGEANT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Path::Tiny) >= 0.76.0
BuildRequires: perl(Scalar::Util) >= 1.450.0
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Parser) >= 2.230.0
BuildArch:  noarch

# perl-generators does not work properly for
#   "use parent qw/-norequire XML::XPath::Node/;"
%global __requires_exclude %{__requires_exclude}|^perl\\(-norequire\\)

%description
This module aims to comply exactly to the XPath specification
at https://www.w3.org/TR/xpath and yet allow extensions to be
added in the form of functions. Modules such as XSLT and
XPointer may need to do this as they support functionality
beyond XPath.

%prep
%setup -q  -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO examples
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/XML/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.480.0-3.mga10
+ Revision: 2215069
- Mageia 10 Mass Rebuild

* Sat Aug 13 2022 tv <tv> 1.480.0-2.mga9
+ Revision: 1877432
- Filter invalid dependency 'perl(-norequire)'

* Sat Aug 13 2022 tv <tv> 1.480.0-1.mga9
+ Revision: 1877365
- update to 1.48

* Sun May 15 2022 tv <tv> 1.470.0-1.mga9
+ Revision: 1858203
- update to 1.47

* Mon Mar 21 2022 umeabot <umeabot> 1.440.0-3.mga9
+ Revision: 1810961
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.440.0-2.mga8
+ Revision: 1519408
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Oct 11 2018 tv <tv> 1.440.0-1.mga7
+ Revision: 1319663
- update to 1.44

* Wed Oct 10 2018 tv <tv> 1.430.0-1.mga7
+ Revision: 1319390
- update to 1.43

* Thu Sep 20 2018 umeabot <umeabot> 1.420.0-3.mga7
+ Revision: 1287326
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.420.0-2.mga7
+ Revision: 1167467
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 1.420.0-1.mga7
+ Revision: 1155616
- update to 1.42

* Sun Jul 23 2017 shlomif <shlomif> 1.400.0-1.mga7
+ Revision: 1129069
- update to 1.40

* Sun Jun 19 2016 pterjan <pterjan> 1.360.0-2.mga6
+ Revision: 1036170
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.360.0-1.mga6
+ Revision: 1002512
- add missing BR + clenups
- New version 1.36

* Sun Jan 17 2016 shlomif <shlomif> 1.220.0-1.mga6
+ Revision: 925167
- New version 1.22 with reworked patch

* Wed Oct 15 2014 umeabot <umeabot> 1.130.0-6.mga5
+ Revision: 742511
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.130.0-5.mga5
+ Revision: 686975
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.130.0-4.mga4
+ Revision: 516259
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.130.0-3.mga3
+ Revision: 375215
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 1.130.0-2.mga1
+ Revision: 24475
- fix specs
- imported package perl-XML-XPath


* Mon Apr 26 2010 Jérôme Quelin <jquelin@mandriva.org> 1.130.0-2mdv2010.1
+ Revision: 539096
- rebuild, remove unused requires:

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.130.0-1mdv2010.0
+ Revision: 408257
- rebuild using %%perl_convert_version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.13-10mdv2009.0
+ Revision: 224676
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.13-9mdv2008.1
+ Revision: 180662
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Apr 25 2007 Olivier Thauvin <nanardon@mandriva.org> 1.13-8mdv2008.0
+ Revision: 18033
- rebuild


* Mon Apr 03 2006 Buchan Milne <bgmilne@mandriva.org> 1.13-7mdk
- Rebuild
- use mkrel

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.13-6mdk
- added the complete patch...
- run the test

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.13-5mdk
- added P0 (http://rt.cpan.org/NoAuth/Bug.html?id=6363)

* Tue Nov 11 2003 Michael Scherer <scherer.michael@free.fr> 1.13-4mdk 
- BuildRequires ( perl-XML-Parser, perl-devel )

* Fri Aug 15 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.13-3mdk
- rebuild for new perl
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.13-2mdk
- rebuild for new auto{prov,req}

